"""Put resourcetypes in database

Revision ID: 0b9b69af66c3
Revises: bedce47c9e34
Create Date: 2017-07-18 16:54:07.581421

"""
from alembic import op
import sqlalchemy as sa
import gargantext


# revision identifiers, used by Alembic.
revision = '0b9b69af66c3'
down_revision = 'bedce47c9e34'
branch_labels = None
depends_on = None


RESOURCETYPES = [
    {
        "name": "EUROPRESSE",
        "label": "Europresse",
        "parser": "EuropresseParser",
        "crawler": None,
    },
    {
        "name": "JSTOR",
        "label": "Jstor [RIS]",
        "parser": "RISParser",
        "crawler": None,
    },
    {
        "name": "PUBMED",
        "label": "Pubmed [XML]",
        "parser": "PubmedParser",
        "crawler": "PubmedCrawler",
    },
    {
        "name": "SCOPUS",
        "label": "Scopus [RIS]",
        "parser": "RISParser",
        "crawler": None,
    },
    {
        "name": "WOS",
        "label": "Web of Science [ISI]",
        "parser": "ISIParser",
        "crawler": None,
    },
    {
        "name": "ZOTERO",
        "label": "Zotero [RIS]",
        "parser": "RISParser",
        "crawler": None,
    },
    {
        "name": "CSV",
        "label": "CSV",
        "parser": "CSVParser",
        "crawler": None,
    },
    {
        "name": "ISTEX",
        "label": "ISTex",
        "parser": "ISTexParser",
        "crawler": None,
    },
    {
        "name": "SCOAP",
        "label": "SCOAP [API/XML]",
        "parser": "CernParser",
        "crawler": "CernCrawler",
    },
    {
        "name": "REPEC",
        "label": "REPEC [MULTIVAC API]",
        "parser": "MultivacParser",
        "crawler": "MultivacCrawler",
    },
    {
        "name": "HAL",
        "label": "HAL [API]",
        "parser": "HalParser",
        "crawler": "HalCrawler",
    },
    {
        "name": "ISIDORE",
        "label": "ISIDORE [SPARQLE API /!\ BETA]",
        "parser": "IsidoreParser",
        "crawler": "IsidoreCrawler",
    },
]


def upgrade():
    op.bulk_insert(ResourceTypeNode, [
        {"parent_id": gargantua, "hyperdata": x} for x in RESOURCETYPES
    ])


def downgrade():
    pass
